      subroutine nulsrt(n,intarr)                                       NULS001
c ----------------------------------------------------------------------NULS002
c        sorts by straight insertion an integer intarray                NULS003
c            and strips leading zeros  B.Rupp 1994                      NULS004
c ----------------------------------------------------------------------NULS005
      integer a,intarr(n),n,i,j,ii                                      NULS006
                                                                        NULS007
      do 0001 j=2,n                                                     NULS008
        a=intarr(j)                                                     NULS009
        do 0002 i=j-1,1,-1                                              NULS010
          if(intarr(i).le.a)goto 0003                                   NULS011
          intarr(i+1)=intarr(i)                                         NULS012
 0002   continue                                                        NULS013
        i=0                                                             NULS014
 0003   intarr(i+1)=a                                                   NULS015
 0001 continue                                                          NULS016
      i=1                                                               NULS017
      do 0007 ii=1,n                                                    NULS018
         if (intarr(i).eq.0) then                                       NULS019
            do 0005 j=i,n-1                                             NULS020
               intarr(j)=intarr(j+1)                                    NULS021
 0005       continue                                                    NULS022
            intarr(n)=0                                                 NULS023
         else                                                           NULS024
            i=1+1                                                       NULS025
         end if                                                         NULS026
 0007 continue                                                          NULS027
      return                                                            NULS028
      end                                                               NULS029
